Module jdk.javadoc
Package com.sun.javadoc

## Interface AnnotationDesc.ElementValuePair

Enclosing interface:
  AnnotationDesc

    @Deprecated(since="9",
                forRemoval=true)
    public static interface AnnotationDesc.ElementValuePair

Deprecated, for removal: This API element is subject to removal in a future version.
The declarations in this package have been superseded by those in the package `jdk.javadoc.doclet`. For more information, see the Migration Guide in the documentation for that package.
Represents an association between an annotation type element and one of its values.

Since:
  1.5

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`AnnotationTypeElementDoc` `element()` Deprecated, for removal: This API element is subject to removal in a future version. Returns the annotation type element.
`AnnotationValue` `value()` Deprecated, for removal: This API element is subject to removal in a future version. Returns the value associated with the annotation type element.

### Method Detail

#### element

    AnnotationTypeElementDoc element()

Deprecated, for removal: This API element is subject to removal in a future version.
Returns the annotation type element.

Returns:
  the annotation type element.

#### value

    AnnotationValue value()

Deprecated, for removal: This API element is subject to removal in a future version.
Returns the value associated with the annotation type element.

Returns:
  the value associated with the annotation type element.